class GenerateReportRequestModel {
  final String porOrgacode;
  final String mbmBkmsnumber;
  final String sgtGntrvaluedatefrom;
  final String sgtGntrvaluedateto;
  final String type;

  GenerateReportRequestModel({
    required this.porOrgacode,
    required this.mbmBkmsnumber,
    required this.sgtGntrvaluedatefrom,
    required this.sgtGntrvaluedateto,
    required this.type,
  });

  Map<String, dynamic> toMap() {
    return {
      'porOrgacode': porOrgacode,
      'mbmBkmsnumber': mbmBkmsnumber,
      'sgtGntrvaluedatefrom': sgtGntrvaluedatefrom,
      'sgtGntrvaluedateto': sgtGntrvaluedateto,
      'type': type,
    };
  }

  factory GenerateReportRequestModel.fromMap(Map<String, dynamic> map) {
    return GenerateReportRequestModel(
      porOrgacode: map['porOrgacode'],
      mbmBkmsnumber: map['mbmBkmsnumber'],
      sgtGntrvaluedatefrom: map['sgtGntrvaluedatefrom'],
      sgtGntrvaluedateto: map['sgtGntrvaluedateto'],
      type: map['type'],
    );
  }

  @override
  String toString() {
    return 'TransactionHistoryRequest{porOrgacode: $porOrgacode, mbmBkmsnumber: $mbmBkmsnumber, sgtGntrvaluedatefrom: $sgtGntrvaluedatefrom, sgtGntrvaluedateto: $sgtGntrvaluedateto, type: $type}';
  }
}
